Endpoints for authentication
Ripple Collections (alpha) (0.0.1)
The Ripple Collection APIs are used to manage collections, manage payment channels, manage partners and settlements.
The Ripple Collection APIs offers the following environments:
Environment | Base URL | Description |
|---|---|---|
| Sandbox | https://docs.ripple.com/products/collections/_mock/api/collections | Sandbox environment with mock data which does not require auth. |
| UAT | https://api.test.ripple.com | UAT environment with simulated transactions. |
| Production | https://api.ripple.com | Production environment |
For guides on API authentication, idempotency, and webhook verification, see the sidebar.
Request
Request an access token for authentication with Ripple APIs.
You need to request a token for the environment you want to authenticate with.
Note: The length of the access token isn't fixed, hence it can vary. Avoid validating tokens based on character length.
Tutorials
- Learn how to Request an access token.
| Environment | Domain | Description |
|---|---|---|
| UAT | api.test.ripple.com | UAT environment with simulated transactions. |
| Production | api.ripple.com | Production environment |
- application/json
- application/x-www-form-urlencoded
The client ID associated with a specific set of API credentials.
The client secret associated with a specific set of API credentials.
The value of the audience field is based on URN syntax.
Format: urn:ripplexcurrent-{ENVIRONMENT_STRING}:{YOUR_TENANT_ID}
- The first component is
urn:ripplenetxcurrent-. - The second component refers to the environment you want to access.
- The third component is your tenant ID. Ripple integration engineers provide this component during training.
| Environment | Environment string | Description |
|---|---|---|
| UAT | uat | UAT environment with simulated transactions. |
| Production | prod | Production environment for Ripple's internal services. |
Example: urn:ripplexcurrent-uat:{YOUR_TENANT_ID}
- Mock serverhttps://docs.ripple.com/_mock/products/collections/v0/api/collections/v2/oauth/token
- https://api.test.ripple.com/v2/oauth/token
- https://api.ripple.com/v2/oauth/token
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- application/json
- application/x-www-form-urlencoded
curl -i -X POST \
https://docs.ripple.com/_mock/products/collections/v0/api/collections/v2/oauth/token \
-H 'Content-Type: application/json' \
-d '{
"client_id": "{YOUR_CLIENT_ID}",
"client_secret": "{YOUR_CLIENT_SECRET}",
"audience": "urn:ripplexcurrent-uat:{YOUR_TENANT_ID}",
"grant_type": "client_credentials"
}'Returns the authentication response object that includes the token, type, scopes, and expiry.
The bearer token you use when authenticating with a Ripple API.
How long your access_token is valid. You need to request a new token when it expires.
{ "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJ", "scope": "string", "expires_in": 3600, "token_type": "Bearer" }
- Mock serverhttps://docs.ripple.com/_mock/products/collections/v0/api/collections/v2/oauth/token/test
- https://api.test.ripple.com/v2/oauth/token/test
- https://api.ripple.com/v2/oauth/token/test
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://docs.ripple.com/_mock/products/collections/v0/api/collections/v2/oauth/token/test \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "message": "token_ok", "seconds_to_expiry": 3600 } ]